# Filename: tri_scale.py
# Purpose: Scale a triangulation from a reference point by an x/y/z factor.
# Returns: Bool.

#from pathlib import Path
from maptek import vulcan

input_tri = 'cube.00t'  # input triangulation
scale_factor = [2.0, 2.0, 2.0] # x,y,z scale factor

with vulcan.triangulation(input_tri, 'w') as tri:  # open triangulation in write mode
    reference_point = tri.centroid()  # reference point
    tri.scale(scale_factor, reference_point)